package cn.wisenergy.web.admin.controller.app;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.model.vo.UserQueryVo;
import cn.wisenergy.service.app.UserDataService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;


/**
 * @author 86187
 */
@Api(tags = "用户数据统计管理")
@RestController
@Slf4j
public class UserDataController {
    @Resource
    private UserDataService userDataService;

    @ApiOperation(value = "获取token接口", notes = "获取token接口", httpMethod = "POST")
    @ApiImplicitParam(name = "queryVo", value = "每次统计条数", dataType = "UserQueryVo")
    @PostMapping(value = "/user/saveBatchUserData")
    public R<Boolean> saveBatchUserData(@RequestBody UserQueryVo queryVo) {
        return userDataService.addBatch(queryVo);
    }
}
